<template>
	<div class="banner-section">
		<div class="banner-section__illustration">
			<img :src="require('@/assets/img/main/boat2.png')" alt="">
		</div>
		<div class="banner-section__content">
			<h6 class="banner-section__subheader">
				{{ subheader }}
			</h6>
			<h5 class="banner-section__header">
				{{ header }}
			</h5>
			<register-btn
				:name="btnName"
				:link="link"
			></register-btn>
		</div>
	</div>
</template>

<script>
    import RegisterBtn from "@/components/RegisterBtn";

    export default {
        name: "BannerSection",
        components: {RegisterBtn},
        props: ['header', 'subheader', 'btn-name', 'link'],
    }
</script>

<style lang="sass" scoped>
	.banner-section
		background-image: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) 10%, rgb(4, 71, 255) 15%, rgb(34, 98, 255) 31%, #044fc1 70%)
		
		width: 100%
		height: auto
		padding-top: 10%
		position: relative
		overflow: hidden
		
		&:before
			content: ''
			display: block
			width: 100%
			height: 20%
			background-image: url("../../assets/img/main/upwave.svg"), linear-gradient(25deg, rgb(5, 80, 254) 0%, rgb(5, 80, 254) 5%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 100%)
			background-size: cover
			background-repeat: no-repeat
			position: absolute
			top: 0
			left: 0
		
		&:after
			content: ''
			display: block
			width: 100%
			height: 20%
			background-image: url("../../assets/img/main/downwave.svg"), linear-gradient(25deg, rgb(5, 80, 254) 0%, rgb(5, 80, 254) 5%, rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 100%)
			background-size: cover
			background-repeat: no-repeat
			position: absolute
			bottom: 10%
			left: 0
		
		&__illustration
			float: left
			width: 60%
			
			img
				width: 100%
		
		&__content
			padding-top: 5%
			float: left
			text-align: left
			width: 30%
			position: relative
			z-index: 1
		
		&__subheader
			opacity: 0.7
			color: $whiteText
			font-family: $mainFont
			font-size: rem(11)
			font-weight: 500
			letter-spacing: 1px
			text-transform: uppercase
			margin-bottom: rem(10)
		
		&__header
			color: $whiteText
			font-family: $Avenir
			font-size: rem(56)
			font-weight: 900
			line-height: rem(60)
			margin-bottom: rem(50)


</style>